# Administration Reference

## xstat_cm_test

Purpose

Displays data collections from the Cache Manager

Synopsis

    xstat_cm_test [initcmd] -cmname <Cache Manager name(s) to monitor>+
                  -collID <Collection(s) to fetch>+  [-onceonly]
                  [-frequency <poll frequency, in seconds>]
                  [-period <data collection time, in minutes>]  [-debug]  [-help]

    xstat_cm_test [i] -cm <Cache Manager name(s) to monitor>+
                  -co <Collection(s) to fetch>+  [-o]
                  [-f <poll frequency, in seconds>]
                  [-p <data collection time, in minutes>]  [-d]  [-h]

Description

The xstat_cm_test command tests the routines in the libxstat_cm.a library and displays the data collections associated with the Cache Manager. The command executes in the foreground.

The command produces a large volume of output; to save it for later analysis, direct it to a file.

Options

initcmd
  Accommodates the command's use of the AFS command parser, and is optional.

-cmname
  Specifies the fully qualified hostname of each client machine for which to monitor the Cache Manager.

-collID
  Specifies each data collection to return, which defines the type and amount of data the command interpreter gathers about the Cache Manager. Data is returned in a predefined data structure.

  There are three acceptable values:

  0
    Provides profiling information about the numbers of times different internal Cache Manager routines were called since the Cache Manager started.

  1
    Reports various internal performance statistics related to the Cache Manager (for example, statistics about how effectively the cache is being used and the quantity of intracell and intercell data access).

  2
    Reports all of the internal performance statistics provided by the 1 setting, plus some additional, detailed performance figures (for example, statistics about the number of RPCs sent by the Cache Manager and how long they take to complete, and statistics regarding authentication, access, and PAG information associated with data access).

-onceonly
  Gathers statistics just one time. Omit this flag to have the command continue to probe the Cache Manager for statistics at the frequency specified by the -frequency argument; in this case press <Ctrl-c> to stop the probes.

-frequency
  Sets the frequency in seconds at which the program initiates probes to the Cache Manager. The default is 30 seconds.

-period
  Sets the number of minutes the program runs; at the end of this period of time, the program exits. The default is 10 minutes.

-debug
  Displays a trace on the standard output stream as the command runs.

-help
  Prints the online help for this command. All other valid options are ignored.

Related Information

xstat_fs_test

© IBM Corporation 2000. All Rights Reserved